## uranium 3.3.0

=== CMakeLists.txt ===
project(uranium NONE)

cmake_minimum_required(VERSION 2.8.12)

message(STATUS ${CMAKE_MODULE_PATH})

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/
                      ${CMAKE_MODULE_PATH})
include(UraniumTranslationTools)

include(GNUInstallDirs)

find_package(PythonInterp 3.5.0 REQUIRED)

# # Checks using pylint
# Note that we use exit 0 here to not mark the build as a failure on check failure
# In addition, the specified pylint configuration uses the spellchecker plugin. This required python-enchant to be installed.
add_custom_target(check)
add_custom_command(TARGET check POST_BUILD COMMAND "PYTHONPATH=${CMAKE_SOURCE_DIR}" ${PYTHON_EXECUTABLE} -m pylint --rcfile=${CMAKE_SOURCE_DIR}/pylint.cfg UM --msg-template=\"{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}\" > ${CMAKE_BINARY_DIR}/pylint.log || exit 0 WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

# # Check using Mypy
add_custom_target(typecheck)
add_custom_command(TARGET typecheck POST_BUILD COMMAND ${PYTHON_EXECUTABLE} run_mypy.py WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

# # Tests
include(UraniumTests)

# # Benchmarks
# add_custom_target(benchmark)
# file(GLOB bench_files tests/benchmarks/*/profile*.py)
# foreach(file ${bench_files})
#     add_custom_command(TARGET benchmark POST_BUILD COMMAND "PYTHONPATH=${CMAKE_SOURCE_DIR}" kernprof ARGS -l -v ${file})
# endforeach()


# Documentation
find_package(Doxygen)
if(${DOXYGEN_FOUND})
    add_custom_target(doc ${DOXYGEN_EXECUTABLE} ${CMAKE_SOURCE_DIR}/Doxyfile WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif()

# Extract Strings
add_custom_target(extract-messages ${CMAKE_SOURCE_DIR}/scripts/extract-messages ${CMAKE_SOURCE_DIR} uranium)

# Build Translations
CREATE_TRANSLATION_TARGETS()

if(EXISTS /etc/debian_version)
    install(DIRECTORY UM DESTINATION lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR}/dist-packages)
else()
    install(DIRECTORY UM DESTINATION lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages)
endif()
install(FILES ${CMAKE_SOURCE_DIR}/cmake/UraniumTranslationTools.cmake
        DESTINATION ${CMAKE_INSTALL_DATADIR}/cmake-${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}/Modules/ )
install(DIRECTORY resources DESTINATION ${CMAKE_INSTALL_DATADIR}/uranium)
install(DIRECTORY plugins DESTINATION lib${LIB_SUFFIX}/uranium)

include(CPackConfig.cmake)

## uranium 3.1.0

=== debian/changelog ===
uranium (3.1.0-1) unstable; urgency=medium

  * New upstream release 3.1.0

 -- Gregor Riepl <onitake@gmail.com>  Wed, 17 Jan 2018 08:32:19 +0100

uranium (3.0.3-1) unstable; urgency=medium

  [ Gregor Riepl ]
  * Updated to upstream release 3.0.3.
  * Upstream license change from AGPL-3+ to LGPL-3+.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 03 Nov 2017 09:36:59 +0000

uranium (2.5.0-1) unstable; urgency=medium

  * Initial Debian release. See #706656.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 08 Oct 2017 07:36:17 +0000

=== debian/control ===
Source: uranium
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Gregor Riepl <onitake@gmail.com>
Build-Depends: debhelper (>= 10), cmake (>=2.8.12), dh-python,
 python3-all,
 gettext,
 python3-numpy, python3-scipy,
 pylint3, python3-pytest,
 python3-pyqt5,
Standards-Version: 4.1.3
Section: python
X-Python3-Version: >= 3.5
Homepage: https://github.com/Ultimaker/Uranium
Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/uranium.git/
Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/uranium.git

Package: python3-uranium
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 python3-numpy, python3-scipy, python3-serial,
 python3-pyqt5, python3-pyqt5.qtopengl, python3-pyqt5.qtquick, python3-pyqt5.qtsvg,
 qml-module-qtqml-models2, qml-module-qtquick-dialogs,
 python3-arcus (>= 3.1.0)
Recommends: python3-stl
Provides:
 ${python3:Provides}
XB-Python3-Version:
 ${python3:Versions}
Description: application framework for Cura (Python library)
 Uranium is a Python framework for building 3D printing related applications.
 .
 It is mainly used by Cura.
 .
 This package contains the base library for Python 3.

Package: uranium-plugins
Architecture: all
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
 python3-uranium (= ${binary:Version})
Description: application framework for Cura (plugins)
 Uranium is a Python framework for building 3D printing related applications.
 .
 It is mainly used by Cura.
 .
 This package contains GUI plugins.

Package: uranium-tools
Architecture: all
Section: devel
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Description: application framework for Cura (development tools)
 Uranium is a Python framework for building 3D printing related applications.
 .
 It is mainly used by Cura.
 .
 This package contains related development tools and cmake scripts.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1
# Suppress __pycache__ pollution
export PYTHONDONTWRITEBYTECODE = 1

%:
	dh $@ --buildsystem=cmake --with python3 --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DGETTEXT_MSGINIT_EXECUTABLE=msginit -DGETTEXT_MSGCONV_EXECUTABLE=msgconv -DGETTEXT_MSGMERGE_EXECUTABLE=msgmerge -DCURA_BINARY_DATA_DIRECTORY=/usr/share/uranium

override_dh_clean:
	dh_clean
	# Leftovers from pytest
	rm -rf .cache
	find -name __pycache__ -print0 | xargs -0 rm -rf

override_dh_auto_test:
	# Don't run pytest, it will fail

## uranium 3.3.0

=== debian/changelog ===
uranium (3.3.0-2) unstable; urgency=medium

  [ Gregor Riepl ]
  * Require at least PyQt 5.10 to address upstream bug
    https://github.com/Ultimaker/Cura/issues/4080
  [Gianfranco Costamagna]
  * Build-depend on pylint which is now python3, not pylint3.
    Closes: #946532

 -- Gregor Riepl <onitake@gmail.com>  Wed, 11 Dec 2019 08:34:40 +0100

uranium (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
  * Migrated to salsa

 -- Gregor Riepl <onitake@gmail.com>  Mon, 18 Jun 2018 19:04:10 +0200

uranium (3.2.1-1) unstable; urgency=medium

  * New upstream release 3.2.1
  * Set Multi-Arch:foreign flag on tools package

 -- Gregor Riepl <onitake@gmail.com>  Fri, 16 Mar 2018 09:01:12 +0100

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,23 @@
  python3-all,
  gettext,
  python3-numpy, python3-scipy,
- pylint3, python3-pytest,
+ pylint, python3-pytest,
  python3-pyqt5,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Section: python
 X-Python3-Version: >= 3.5
 Homepage: https://github.com/Ultimaker/Uranium
-Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/uranium.git/
-Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/uranium.git
+Vcs-Browser: https://salsa.debian.org/3dprinting-team/uranium
+Vcs-Git: https://salsa.debian.org/3dprinting-team/uranium.git
 
 Package: python3-uranium
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  python3-numpy, python3-scipy, python3-serial,
- python3-pyqt5, python3-pyqt5.qtopengl, python3-pyqt5.qtquick, python3-pyqt5.qtsvg,
+ python3-pyqt5 (>= 5.10), python3-pyqt5.qtopengl (>= 5.10),
+ python3-pyqt5.qtquick (>= 5.10), python3-pyqt5.qtsvg (>= 5.10),
  qml-module-qtqml-models2, qml-module-qtquick-dialogs,
- python3-arcus (>= 3.1.0)
+ python3-arcus (>= 3.3.0)
 Recommends: python3-stl
 Provides:
  ${python3:Provides}
@@ -47,6 +48,7 @@
 
 Package: uranium-tools
 Architecture: all
+Multi-Arch: foreign
 Section: devel
 Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
 Description: application framework for Cura (development tools)

## uranium 4.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Note that we use exit 0 here to not mark the build as a failure on check failure
 # In addition, the specified pylint configuration uses the spellchecker plugin. This required python-enchant to be installed.
 add_custom_target(check)
-add_custom_command(TARGET check POST_BUILD COMMAND "PYTHONPATH=${CMAKE_SOURCE_DIR}" ${PYTHON_EXECUTABLE} -m pylint --rcfile=${CMAKE_SOURCE_DIR}/pylint.cfg UM --msg-template=\"{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}\" > ${CMAKE_BINARY_DIR}/pylint.log || exit 0 WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
+add_custom_command(TARGET check POST_BUILD COMMAND "PYTHONPATH=${CMAKE_SOURCE_DIR}" ${PYTHON_EXECUTABLE} -m pylint --rcfile=${CMAKE_SOURCE_DIR}/pylint.cfg UM --msg-template=\"{path}:{line}: [{msg_id}({symbol}) , {obj}] {msg}\" > ${CMAKE_BINARY_DIR}/pylint.log || exit 0 WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
 
 # # Check using Mypy
 add_custom_target(typecheck)

=== debian/changelog ===
uranium (4.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Remove obsolete X-Python3-Version field.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Jan 2020 10:47:52 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  python3-pyqt5,
 Standards-Version: 4.1.4
 Section: python
-X-Python3-Version: >= 3.5
 Homepage: https://github.com/Ultimaker/Uranium
 Vcs-Browser: https://salsa.debian.org/3dprinting-team/uranium
 Vcs-Git: https://salsa.debian.org/3dprinting-team/uranium.git

=== debian/tests/control ===
Test-Command: for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import UM.Version; print(UM.Version)" ; done
Depends: @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/Uranium-$1\.tar\.gz/ \
  https://github.com/Ultimaker/Uranium/tags .*/(\d\.\S+)\.tar\.gz

## uranium 4.6.2

=== debian/changelog ===
uranium (4.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Aug 2020 22:02:52 +0200

uranium (4.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Mar 2020 17:46:40 +0100

## uranium 4.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(uranium NONE)
 
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.6)
 
 message(STATUS ${CMAKE_MODULE_PATH})
 
@@ -10,7 +10,7 @@
 
 include(GNUInstallDirs)
 
-find_package(PythonInterp 3.5.0 REQUIRED)
+find_package(PythonInterp 3 REQUIRED)
 
 # # Checks using pylint
 # Note that we use exit 0 here to not mark the build as a failure on check failure
@@ -53,6 +53,8 @@
 install(FILES ${CMAKE_SOURCE_DIR}/cmake/UraniumTranslationTools.cmake
         DESTINATION ${CMAKE_INSTALL_DATADIR}/cmake-${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}/Modules/ )
 install(DIRECTORY resources DESTINATION ${CMAKE_INSTALL_DATADIR}/uranium)
-install(DIRECTORY plugins DESTINATION lib${LIB_SUFFIX}/uranium)
+
+# Detect plugins to install
+include(UraniumPluginInstall)
 
 include(CPackConfig.cmake)

=== debian/changelog ===
uranium (4.8-1) unstable; urgency=medium

  * New upstream version 4.8.
  * DH 13.
  * Depend on python3-cryptography. (Closes: #958943)
  * Mark autopkgtest as superficial. (Closes: #974497)
  * debian/watch: Handle -beta releases.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Nov 2020 11:42:02 +0100

uranium (4.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.7.1.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Sep 2020 23:31:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: uranium
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
-Uploaders: Gregor Riepl <onitake@gmail.com>
-Build-Depends: debhelper (>= 10), cmake (>=2.8.12), dh-python,
+Uploaders: Gregor Riepl <onitake@gmail.com>,
+ Christoph Berg <myon@debian.org>,
+Build-Depends: debhelper-compat (= 13), cmake (>= 2.8.12), dh-python,
  python3-all,
  gettext,
  python3-numpy, python3-scipy,
  pylint, python3-pytest,
  python3-pyqt5,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Section: python
 Homepage: https://github.com/Ultimaker/Uranium
 Vcs-Browser: https://salsa.debian.org/3dprinting-team/uranium
@@ -17,6 +18,7 @@
 Package: python3-uranium
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
+ python3-cryptography,
  python3-numpy, python3-scipy, python3-serial,
  python3-pyqt5 (>= 5.10), python3-pyqt5.qtopengl (>= 5.10),
  python3-pyqt5.qtquick (>= 5.10), python3-pyqt5.qtsvg (>= 5.10),

## uranium 4.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,8 @@
 include(GNUInstallDirs)
 
 find_package(PythonInterp 3 REQUIRED)
+
+message("Using python version ${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}")
 
 # # Checks using pylint
 # Note that we use exit 0 here to not mark the build as a failure on check failure
@@ -45,6 +47,7 @@
 # Build Translations
 CREATE_TRANSLATION_TARGETS()
 
+
 if(EXISTS /etc/debian_version)
     install(DIRECTORY UM DESTINATION lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR}/dist-packages)
 else()

=== debian/changelog ===
uranium (4.13.0-1) unstable; urgency=medium

  * New upstream version 4.13.0.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Jan 2022 09:31:53 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-numpy, python3-scipy,
  pylint, python3-pytest,
  python3-pyqt5,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: python
 Homepage: https://github.com/Ultimaker/Uranium
 Vcs-Browser: https://salsa.debian.org/3dprinting-team/uranium

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
# Suppress __pycache__ pollution
export PYTHONDONTWRITEBYTECODE = 1

%:
	dh $@ --buildsystem=cmake --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DGETTEXT_MSGINIT_EXECUTABLE=msginit -DGETTEXT_MSGCONV_EXECUTABLE=msgconv -DGETTEXT_MSGMERGE_EXECUTABLE=msgmerge -DCURA_BINARY_DATA_DIRECTORY=/usr/share/uranium

override_dh_clean:
	dh_clean
	# Leftovers from pytest
	rm -rf .cache
	find -name __pycache__ -print0 | xargs -0 rm -rf

override_dh_auto_test:
	# Don't run pytest, it will fail

=== debian/tests/control ===
Test-Command: for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import UM.Version; print(UM.Version)" ; done
Depends: @
Restrictions: superficial

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/Uranium-$1\.tar\.gz/,uversionmangle=s/-beta/~beta/ \
  https://github.com/Ultimaker/Uranium/tags .*/(\d\.\S+)\.tar\.gz

## uranium 5.0.0

=== CMakeLists.txt ===
# Copyright (c) 2022 Ultimaker B.V.
# Uranium is released under the terms of the LGPLv3 or higher.

project(uranium NONE)

cmake_minimum_required(VERSION 3.18)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/)

include(GNUInstallDirs)

if(NOT DEFINED Python_VERSION)
    set(Python_VERSION
            3.10
            CACHE STRING "Python Version" FORCE)
    message(STATUS "Setting Python version to ${Python_VERSION}. Set Python_VERSION if you want to compile against an other version.")
endif()
if(APPLE)
    set(Python_FIND_FRAMEWORK NEVER)
endif()
find_package(Python ${Python_VERSION} EXACT REQUIRED COMPONENTS Interpreter)
message(STATUS "Linking and building ${project_name} against Python ${Python_VERSION}")
if(NOT DEFINED Python_SITELIB_LOCAL)
    set(Python_SITELIB_LOCAL
            "${Python_SITELIB}"
            CACHE PATH "Local alternative site-package location to install Uranium" FORCE)
endif()

include(UraniumTranslationTools)

# Checks using pylint
# Note that we use exit 0 here to not mark the build as a failure on check failure
# In addition, the specified pylint configuration uses the spellchecker plugin. This required python-enchant to be installed.
add_custom_target(check)
add_custom_command(TARGET check POST_BUILD COMMAND "PYTHONPATH=${CMAKE_SOURCE_DIR}" ${Python_EXECUTABLE} -m pylint --rcfile=${CMAKE_SOURCE_DIR}/pylint.cfg UM --msg-template=\"{path}:{line}: [{msg_id}({symbol}) , {obj}] {msg}\" > ${CMAKE_BINARY_DIR}/pylint.log || exit 0 WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

# Check using Mypy
add_custom_target(typecheck)
add_custom_command(TARGET typecheck POST_BUILD COMMAND ${Python_EXECUTABLE} run_mypy.py WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

# Tests
include(UraniumTests)


# Documentation
find_package(Doxygen)
if(${DOXYGEN_FOUND})
    add_custom_target(doc ${DOXYGEN_EXECUTABLE} ${CMAKE_SOURCE_DIR}/Doxyfile WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif()

# Extract Strings
add_custom_target(extract-messages ${CMAKE_SOURCE_DIR}/scripts/extract-messages ${CMAKE_SOURCE_DIR} uranium)

# Build Translations
CREATE_TRANSLATION_TARGETS()


install(DIRECTORY UM DESTINATION "${Python_SITELIB_LOCAL}")

install(FILES ${CMAKE_SOURCE_DIR}/cmake/UraniumTranslationTools.cmake
        DESTINATION ${CMAKE_INSTALL_DATADIR}/cmake-${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}/Modules/ )
install(DIRECTORY resources DESTINATION ${CMAKE_INSTALL_DATADIR}/uranium)

# Detect plugins to install
include(UraniumPluginInstall)

include(CPackConfig.cmake)

=== debian/changelog ===
uranium (5.0.0-7) unstable; urgency=medium

  * Patch invalid string escapes. Closes: #1087159

 -- Gregor Riepl <onitake@gmail.com>  Thu, 13 Feb 2025 10:57:28 +0000

uranium (5.0.0-6) unstable; urgency=medium

  * Replace numpy.lib.pad with numpy.pad to make it compatible with
    numpy 2.0. Closes: #1095608

 -- Gregor Riepl <onitake@gmail.com>  Mon, 10 Feb 2025 08:50:48 +0100

uranium (5.0.0-5) unstable; urgency=medium

  * Replace usage of deprecated imp module. (Closes: #1074752)
  * Use Uranium ColorImage class. (Closes: #1074239)

 -- Gregor Riepl <onitake@gmail.com>  Tue, 09 Jul 2024 10:42:06 +0200

uranium (5.0.0-4) unstable; urgency=medium

  * Add explicit python3-all test suite dependency (Closes: #1067144)

 -- Gregor Riepl <onitake@gmail.com>  Thu, 21 Mar 2024 12:20:48 +0100

uranium (5.0.0-3) unstable; urgency=medium

  * Set DEB_PYTHON_INSTALL_LAYOUT=deb_system, thanks Timo Röhling!
    (Closes: #1042157)

 -- Christoph Berg <myon@debian.org>  Fri, 28 Jul 2023 09:50:15 +0000

uranium (5.0.0-2) unstable; urgency=medium

  * Compile against current python version. (Closes: #1031680)

 -- Christoph Berg <myon@debian.org>  Sun, 02 Jul 2023 19:37:37 +0000

uranium (5.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 5.0.0.
  * Refresh patches.
  * Bump dependencies from pyqt5 to pyqt6.
  * Bump version of arcus dependency.
  * Don't depend on python3-pyqt6.qtopengl, that's in python3-pyqt6 now.

 -- Sebastian Kuzminsky <seb@highlab.com>  Wed, 25 May 2022 11:02:45 -0600

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
# Suppress __pycache__ pollution
export PYTHONDONTWRITEBYTECODE = 1
# Don't install to /usr/local
export DEB_PYTHON_INSTALL_LAYOUT=deb_system

%:
	dh $@ --buildsystem=cmake --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DGETTEXT_MSGINIT_EXECUTABLE=msginit -DGETTEXT_MSGCONV_EXECUTABLE=msgconv -DGETTEXT_MSGMERGE_EXECUTABLE=msgmerge -DCURA_BINARY_DATA_DIRECTORY=/usr/share/uranium -DPython_VERSION=$(shell py3versions -vd)

override_dh_clean:
	dh_clean
	# Leftovers from pytest
	rm -rf .cache
	find -name __pycache__ -print0 | xargs -0 rm -rf

override_dh_auto_test:
	# Don't run pytest, it will fail

=== debian/tests/control ===
Test-Command: for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import UM.Version; print(UM.Version)" ; done
Depends: @, python3-all
Restrictions: superficial
